## net.sf.saxon.javax.xml.xquery
Interface XQItem

All Superinterfaces:
  XQItemAccessor

All Known Subinterfaces:
  XQResultItem

All Known Implementing Classes:
  SaxonXQItem

    public interface XQItem

extends XQItemAccessor

XQJ interfaces reconstructed from version 0.5 documentation

Method Summary
`void` `close()`
`boolean` `isClosed()`

Methods inherited from interface net.sf.saxon.javax.xml.xquery.XQItemAccessor
`getAtomicValue, getBoolean, getByte, getDouble, getFloat, getInt, getItemAsStream, getItemAsString, getItemType, getLong, getNode, getNodeUri, getObject, getObject, getShort, instanceOf, writeItem, writeItem, writeItemToSAX`

Method Detail

### close

    void close()
               throws XQException

  Throws:
    `XQException`

### isClosed

    boolean isClosed()

Copyright (C) Michael H. Kay. All rights reserved.